Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class SSL3RandomDataParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.SSL3RandomDataParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class SSL3RandomDataParameters
extends Object
implements Parameters

This class encapsulates parameters for the Mechanism.SSL3_MASTER_KEY_DERIVE and Mechanism.SSL3_KEY_AND_MAC_DERIVE mechanisms.

Invariants
  (clientRandom_ <> null) and (serverRandom_ <> null)

Field Summary
`protected byte[]` | `clientRandom_` The client's random data.
`protected byte[]` | `serverRandom_` The server's random data.

Constructor Summary
`SSL3RandomDataParameters(byte[] clientRandom, byte[] serverRandom)` Create a new SSL3RandomDataParameters object with the given cleint and server random.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`byte[]` | `getClientRandom()` Get the client's random data.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as a CK_SSL3_RANDOM_DATA object.
`byte[]` | `getServerRandom()` Get the server's random data.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setClientRandom(byte[] clientRandom)` Set the client's random data.
`void` | `setServerRandom(byte[] serverRandom)` Set the server's random data.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### clientRandom_

    protected byte[] clientRandom_

  The client's random data.

### serverRandom_

    protected byte[] serverRandom_

  The server's random data.

Constructor Detail

### SSL3RandomDataParameters

    public SSL3RandomDataParameters(byte[] clientRandom,
                                    byte[] serverRandom)

  Create a new SSL3RandomDataParameters object with the given cleint and server random.

Parameters:
  `clientRandom` - The client's random data.
  `serverRandom` - The server's random data.
Preconditions
  (clientRandom <> null) and (serverRandom <> null)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof SSL3RandomDataParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as a CK_SSL3_RANDOM_DATA object.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_SSL3_RANDOM_DATA object.
  Preconditions
  Postconditions
    (result <> null)

### getClientRandom

    public byte[] getClientRandom()

  Get the client's random data.

  Returns:
    The client's random data.
  Preconditions
  Postconditions
    (result <> null)

### getServerRandom

    public byte[] getServerRandom()

  Get the server's random data.

  Returns:
    The server's random data.
  Preconditions
  Postconditions
    (result <> null)

### setClientRandom

    public void setClientRandom(byte[] clientRandom)

  Set the client's random data.

  Parameters:
    `clientRandom` - The client's random data.
  Preconditions
    (clientRandom <> null)
  Postconditions

### setServerRandom

    public void setServerRandom(byte[] serverRandom)

  Set the server's random data.

  Parameters:
    `serverRandom` - The server's random data.
  Preconditions
    (serverRandom <> null)
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.